## secnet-0.4.0.tar.gz

=== test-example/Makefile ===
TARGETS=sites.conf inside.key outside.key

all: $(TARGETS)

%.key: %.key.b64
	base64 -d <$< >$@.new && mv -f $@.new $@

sites.conf: ../make-secnet-sites sites Makefile
	../make-secnet-sites sites sites.conf

clean:
	rm -f *~ ./#*# *.new $(TARGETS)

=== debian/changelog ===
secnet (0.4.0) unstable; urgency=low

  Debugging improvements:
  * Packet-level debugging from site notes errors from transmit.
  * Report when transport peers updated as a result of transmit.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 28 Feb 2015 15:03:00 +0000

secnet (0.4.0~beta2) unstable; urgency=low

  Polypath bugfixes:
  * Ignore IPv6 Unique Local unicast addresses.
  * Skip "tentative" IPv6 local addresses.
  * Improve logging and debug output.

  Portability fix:
  * Build where size_t is not compatible with int.

  Build system and packaging fixes:
  * Makefile: support DESTDIR.
  * debian/rules: set DESTDIR (not prefix).
  * debian/rules: Support dpkg-buildflags.
  * Install ipaddrset.py and secnet.8 with correct permissions.
  * Fix check for <linux/if_tun.h> and git rid of our copy.
  * Use -lresolv only if inet_aton is not found otherwise.
  * Use -lnsl only if inet_ntoa is not found otherwise.
  * debian/rules: Provide build-arch and build-indep targets.
  * debian/rules: Do not run build for *-indep (!)
  * Makefile.in: Putative dual (backport and not) release build process doc.

  Copyright updates:
  * Update to GPLv3.  Add missing copyright notices and credits.
  * Get rid of old FSF street address; use URL instead.
  * Remove obsolete LICENCE.txt (which was for snprintf reimplementation).
  * Remove obsolete references to Cendio (for old ipaddr.py).

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 28 Dec 2014 17:14:10 +0000

secnet (0.4.0~beta1) unstable; urgency=low

  New features:
  * Support transport over IPv6.  (We do not yet carry IPv6 in the private
    network.)  IPv6 support depends on IPv6-capable adns (adns 1.5.x).
  * New polypath comm, which can duplicate packets so as to send them via
    multiple routes over the public network, for increased
    reliability/performance (but increased cost).  Currently Linux-only
    but should be fairly easy to port.
  * Support multiple public addresses for peers.
  * Discard previously-received packets (by default).

  Logging improvements:
  * Report (each first) transmission and reception success and failure.
  * Log reason for DNS reolution failure.
  * Log unexpected kinds of death from userv.
  * Log authbind exit status as errno value (if appropriate).

  Configuration adjustments:
  * Adjust default number of mobile peer addresses to store when a peer
    public address is also configured.
  * Make specifying peer public port optional.  This avoids making special
    arrangements to bind to a port for in mobile sites with no public
    stable address.

  Bugfixes:
  * Hackypar children will die if they get a terminating signal.
  * Fix signal dispositions inherited by secnet's child processes.
  * Fix off-by-one error which prevented setting transport-peers-max to 5.

  Test, build and internal improvements:
  * Use conventional IP address handling library ipaddr.py.
  * Provide a fuzzer for the slip decoder.
  * Build system improvements.
  * Many source code cleanups.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 15:28:31 +0000

secnet (0.3.4) unstable; urgency=low

  SECURITY FIX:
  * The previous security fix to buffer handling was entirely wrong.  This
    one is better.  Thanks to Simon Tatham for the report and the patch.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 22 Sep 2014 16:16:11 +0100

secnet (0.3.3) unstable; urgency=high

  SECURITY FIXES:
  * Pass correct size argument to recvfrom.  This is a serious security
    problem which may be exploitable from outside the VPN.
  * Fix a memory leak in some error logging.

  Other related fixes:
  * Two other latent bugs in buffer length handling found and fixed.
  * Non-critical stylistic improvements to buffer length handling, to make
    the code clearer and to assist audit.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 19 Sep 2014 23:50:45 +0100

secnet (0.3.3~beta1) unstable; urgency=low

  Installation compatibility fix:
  * In make-secnet-sites, always use our own ipaddr.py even if the
    incompatible modern ipaddr.py is installed (eg via python-ipaddr.deb).
    (Future versions of secnet are going to need that Python module to be
    installed.)

  For links involving mobile sites:
  * Use source of NAK packets as hint for peer transport address.
  * When initiating rekey, make use of data transport peer addresses.

  Build fix:
  * Provide clean target in test-example/Makefile.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 19 Sep 2014 00:11:44 +0100

secnet (0.3.2) unstable; urgency=low

  * Release of 0.3.2.  No code changes since 0.3.1~beta1.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 26 Jun 2014 20:27:58 +0100

secnet (0.3.2~beta1) unstable; urgency=low

  For links involving mobile sites:
  * SECURITY: Properly update peer address array when it is full.
  * Do name-resolution on peer-initiated key setup too, when we are mobile
    (and other name-resolution improvements).

  Other minor improvements:
  * Log peer addresses on key exchange timeout.
  * When printing version (eg during startup), use value from git-describe
    and thus include git commit id where applicable.
  * Updates to release checklist in Makefile.in.
  * Use C99 _Bool for bool_t.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 06 Jun 2014 01:17:54 +0100

secnet (0.3.1) unstable; urgency=low

  * Release of 0.3.1.  No code changes since 0.3.1~beta3.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 15 May 2014 01:08:30 +0100

secnet (0.3.1~beta3) unstable; urgency=low

  * Build fixes for non-i386 architectures and gcc 4.8.2.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 08 May 2014 19:53:43 +0100

secnet (0.3.1~beta2) unstable; urgency=low

  Fix relating to new fragmentation / ICMP functionality:
  * Generate ICMP packets correctly in point-to-point configurations.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 03 May 2014 18:58:09 +0100


=== debian/control ===
Source: secnet
Section: net
Priority: extra
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Uploaders: Stephen Early <steve@greenend.org.uk>,
           Richard Kettlewell <rjk@terraraq.org.uk>
Build-Depends: debhelper (>= 5), libgmp3-dev, libadns1-dev, bison, flex,
               libbsd-dev, python-ipaddr
Standards-Version: 3.0.1

Package: secnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-ipaddr
Recommends: python
Description: VPN software for distributed networks
 secnet allows multiple private networks, each 'hidden' behind a single
 globally-routable IP address, to be bridged together.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# Modified for secnet by Stephen Early <steve@greenend.org.uk>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#  This file is Free Software.  It has been incorporated into, and
#  extensively modified, for secnet.
#
#  Copyright 2001      Joey Hess
#  Copyright 2011-2014 Ian Jackson
#
#  You may redistribute this file (and the other source files in the
#  debian/ subdirectory) freely - the copyrightholders declare that
#  they wish these files to be in the public domain.
#
#  You may redistribute secnet as a whole and/or modify it under the
#  terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3, or (at your option) any
#  later version.
#
#  This software is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this software; if not, see
#  https://www.gnu.org/licenses/gpl.html.

export EXTRA_CFLAGS= $(shell dpkg-buildflags --get CPPFLAGS) \
		     $(shell dpkg-buildflags --get CFLAGS)
export EXTRA_LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

build build-arch: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	./configure --prefix=/usr --sysconfdir=/etc && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) realclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install

# Build architecture-independent files here.
build-indep binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs INSTALL README NOTES TODO NEWS BUGS CREDITS
	dh_installexamples example.conf
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
